Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLSelectElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl
                          weblogic.apache.html.dom.HTMLSelectElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLSelectElement, Node, NodeList, HTMLFormControl

Deprecated. 9.2.0.0 Replaced by org.apache.html.dom.HTMLSelectElementImpl.

    public class HTMLSelectElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLSelectElement, HTMLFormControl

See Also:
  `HTMLSelectElement`, `ElementImpl`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLSelectElementImpl(HTMLDocumentImpl owner, String name)` Deprecated. Constructor requires owner document.

Method Summary
`void` | `add(org.w3c.dom.html.HTMLElement element, org.w3c.dom.html.HTMLElement before)` Deprecated.
`void` | `blur()` Deprecated.
`void` | `focus()` Deprecated.
`NodeList` | `getChildNodes()` Deprecated. Obtain a NodeList enumerating all children of this node.
`boolean` | `getDisabled()` Deprecated.
`int` | `getLength()` Deprecated. NodeList method: Count the immediate children of this node
`boolean` | `getMultiple()` Deprecated.
`String` | `getName()` Deprecated.
`org.w3c.dom.html.HTMLCollection` | `getOptions()` Deprecated.
`int` | `getSelectedIndex()` Deprecated.
`int` | `getSize()` Deprecated.
`int` | `getTabIndex()` Deprecated.
`String` | `getType()` Deprecated.
`String` | `getValue()` Deprecated.
`void` | `remove(int index)` Deprecated.
`void` | `setDisabled(boolean disabled)` Deprecated.
`void` | `setMultiple(boolean multiple)` Deprecated.
`void` | `setName(String name)` Deprecated.
`void` | `setSelectedIndex(int selectedIndex)` Deprecated.
`void` | `setSize(int size)` Deprecated.
`void` | `setTabIndex(int tabIndex)` Deprecated.
`void` | `setValue(String value)` Deprecated.

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodesUnoptimized, getFirstChild, getLastChild, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getLocalName, getNamespaceURI, getNodeName, getNodeValue, getOwnerDocument, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLSelectElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLSelectElementImpl

    public HTMLSelectElementImpl(HTMLDocumentImpl owner,
                                 String name)

  Deprecated.
  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getType

    public String getType()

  Deprecated.
  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLSelectElement`

### getValue

    public String getValue()

  Deprecated.
  Specified by:
    `getValue` in interface `org.w3c.dom.html.HTMLSelectElement`

### setValue

    public void setValue(String value)

  Deprecated.
  Specified by:
    `setValue` in interface `org.w3c.dom.html.HTMLSelectElement`

### getSelectedIndex

    public int getSelectedIndex()

  Deprecated.
  Specified by:
    `getSelectedIndex` in interface `org.w3c.dom.html.HTMLSelectElement`

### setSelectedIndex

    public void setSelectedIndex(int selectedIndex)

  Deprecated.
  Specified by:
    `setSelectedIndex` in interface `org.w3c.dom.html.HTMLSelectElement`

### getOptions

    public org.w3c.dom.html.HTMLCollection getOptions()

  Deprecated.
  Specified by:
    `getOptions` in interface `org.w3c.dom.html.HTMLSelectElement`

### getLength

    public int getLength()

  Deprecated.
  Description copied from class: `ParentNode`
  NodeList method: Count the immediate children of this node

  Specified by:
    `getLength` in interface `org.w3c.dom.html.HTMLSelectElement`
  Specified by:
    `getLength` in interface `NodeList`
  Overrides:
    `getLength` in class `ParentNode`
  Returns:
    int
  See Also:
    `ParentNode`

### getDisabled

    public boolean getDisabled()

  Deprecated.
  Specified by:
    `getDisabled` in interface `org.w3c.dom.html.HTMLSelectElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Deprecated.
  Specified by:
    `setDisabled` in interface `org.w3c.dom.html.HTMLSelectElement`

### getMultiple

    public boolean getMultiple()

  Deprecated.
  Specified by:
    `getMultiple` in interface `org.w3c.dom.html.HTMLSelectElement`

### setMultiple

    public void setMultiple(boolean multiple)

  Deprecated.
  Specified by:
    `setMultiple` in interface `org.w3c.dom.html.HTMLSelectElement`

### getName

    public String getName()

  Deprecated.
  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLSelectElement`

### setName

    public void setName(String name)

  Deprecated.
  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLSelectElement`

### getSize

    public int getSize()

  Deprecated.
  Specified by:
    `getSize` in interface `org.w3c.dom.html.HTMLSelectElement`

### setSize

    public void setSize(int size)

  Deprecated.
  Specified by:
    `setSize` in interface `org.w3c.dom.html.HTMLSelectElement`

### getTabIndex

    public int getTabIndex()

  Deprecated.
  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLSelectElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Deprecated.
  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLSelectElement`

### add

    public void add(org.w3c.dom.html.HTMLElement element,
                    org.w3c.dom.html.HTMLElement before)

  Deprecated.
  Specified by:
    `add` in interface `org.w3c.dom.html.HTMLSelectElement`

### remove

    public void remove(int index)

  Deprecated.
  Specified by:
    `remove` in interface `org.w3c.dom.html.HTMLSelectElement`

### blur

    public void blur()

  Deprecated.
  Specified by:
    `blur` in interface `org.w3c.dom.html.HTMLSelectElement`

### focus

    public void focus()

  Deprecated.
  Specified by:
    `focus` in interface `org.w3c.dom.html.HTMLSelectElement`

### getChildNodes

    public NodeList getChildNodes()

  Deprecated.
  Description copied from class: `ParentNode`
  Obtain a NodeList enumerating all children of this node. If there are none, an (initially) empty NodeList is returned.

  NodeLists are "live"; as children are added/removed the NodeList will immediately reflect those changes. Also, the NodeList refers to the actual nodes, so changes to those nodes made via the DOM tree will be reflected in the NodeList and vice versa.

  In this implementation, Nodes implement the NodeList interface and provide their own getChildNodes() support. Other DOMs may solve this differently.

  Specified by:
    `getChildNodes` in interface `Node`
  Overrides:
    `getChildNodes` in class `ParentNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD